Subject: One of these things (CONFIG_HZ) is not like the others..

From: [email-masked] (Tony Lindgren)
Date: Tue, 22 Jan 2013 13:52:57 -0800

* John Stultz <[email-masked]> [130122 11:02]:
> 
> Correct, with HRT, we actually trigger the HZ-frequency timer tick
> from an hrtimer (which expires based on the system time driven by
> the clocksource). Thus even if there is a theoretical error between
> the ideal HZ and what the hardware can do, that error will not
> propagate forward.

If there's no cumulative error, sounds like the way to go is to select
HRT for ARM multiplatform builds and set the HZ to 100 then.

Regards,

Tony